//
// Created by daniel on 15.7.20.
//

#ifndef PROGRAM_CONFIG_H
#define PROGRAM_CONFIG_H

#include "scanchain.h"

#include <fstream>
#include <algorithm>

class Config {
public:
    Config();
    bool Load(const std::string & fileName);
    size_t GetMax() const;
    std::vector<ScanChain> GetScanChains() const;
    friend std::ostream & operator << (std::ostream &os, const Config & config);

private:
    size_t m_Max;
    std::vector<ScanChain> m_ScanChains;
};


#endif //PROGRAM_CONFIG_H
