//
// Created by daniel on 15.7.20.
//

#ifndef PROGRAM_SCANCHAIN_H
#define PROGRAM_SCANCHAIN_H

#include <string>
#include <vector>
#include <sstream>

class ScanChain {
public:
    ScanChain();
    void AddCell(const std::string & name);
    std::vector<std::string> GetScanCells() const;
    friend std::ostream & operator << (std::ostream &os, const ScanChain &scanChain);
private:
    std::vector<std::string> m_ScanCells;

};

#endif //PROGRAM_SCANCHAIN_H
