#!/bin/bash


FILES=`ls ../samples/combinational/origin`
array=(22 24 26 28 30 32 34 36 38 40)

for i in $FILES
do
	name=`echo "$i"| awk -F "." '{print $1}'`
	echo "$i"
	for j in "${array[@]}" 
	do
		./scan_generator ../samples/combinational/origin/"$i" -scan_number $j -name ../samples/scan/"$name-sc$j.txt" 
		./../illinois_scan/illinois_scan ../samples/combinational/origin/"$i" -scan_name ../samples/scan/"$name-sc$j.txt" -name "../samples/illinois/$name-sc$j.blif" -test
	done
done
